Summary: An Enchanting Spell Checking Library
Name: enchant
Version: 1.5.0
Release: 4%{?dist}
Epoch: 1
Group: System Environment/Libraries
License: LGPLv2+
Source: http://www.abisource.com/downloads/enchant/%{version}/enchant-%{version}.tar.gz
URL: http://www.abisource.com/
BuildRequires: glib2-devel >= 2.6.0
BuildRequires: aspell-devel
BuildRequires: hunspell-devel
BuildRequires: libvoikko-devel
BuildRequires: automake, libtool
BuildRoot: %{_tmppath}/%{name}-%{version}-root

#http://bugzilla.abisource.com/show_bug.cgi?id=12160
Patch0: enchant-1.5.0-abi12160.searchdirs.patch
#http://bugzilla.abisource.com/show_bug.cgi?id=12173
Patch1: enchant-1.5.0-abi12173.leaks.patch
#http://bugzilla.abisource.com/show_bug.cgi?id=12174
Patch2: enchant-1.5.0-abi12174.fixbadmatch.patch

%description
A library that wraps other spell checking backends.

%package aspell
Summary: Integration with aspell for libenchant
Group: System Environment/Libraries
Requires: enchant = %{epoch}:%{version}-%{release}

%description aspell
Libraries necessary to integrate applications using libenchant with aspell.

%package voikko
Summary: Integration with voikko for libenchant
Group: System Environment/Libraries
Requires: enchant = %{epoch}:%{version}-%{release}

%description voikko
Libraries necessary to integrate applications using libenchant with voikko.


%package devel
Summary: Support files necessary to compile applications with libenchant.
Group: Development/Libraries
Requires: enchant = %{epoch}:%{version}-%{release}
Requires: glib2-devel

%description devel
Libraries, headers, and support files necessary to compile applications using libenchant.

%prep
%setup -q
%patch0 -p1 -b .searchdirs
%patch1 -p1 -b .leaks
%patch2 -p1 -b .fixbadmatch

%build
%configure --enable-myspell --with-myspell-dir=/usr/share/myspell --disable-static --disable-ispell --disable-hspell --disable-zemberek
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/enchant/*.la

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README
%{_bindir}/*
%{_libdir}/lib*.so.*
%dir %{_libdir}/enchant
%{_libdir}/enchant/lib*myspell.so*
%{_mandir}/man1/enchant.1.gz
%{_datadir}/enchant

%files aspell
%defattr(-,root,root)
%{_libdir}/enchant/lib*aspell.so*

%files voikko
%defattr(-,root,root)
%{_libdir}/enchant/lib*_voikko.so*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/enchant.pc
%{_includedir}/enchant

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -r $RPM_BUILD_ROOT


%changelog

